Tutorial: Installation

Installation

Handsontable for Vue is the official wrapper for Handsontable, a JavaScript data grid component with a spreadsheet look & feel. It easily integrates with any data source and comes with lots of useful features like data binding, validation, sorting or powerful context menu.

Installation

This component needs the Handsontable library to work. We suggest using npm to install the package.

npm install handsontable-pro @handsontable-pro/vue

for Handsontable Community Edition

npm install handsontable @handsontable/vue

Basic usage

Vue Component

        <template>
  <div id="hot-preview">
    <HotTable :settings="settings"></HotTable>
  </div>
</template>

<script>
  import HotTable from '@handsontable-pro/vue';
  import Vue from 'vue';

  export default {
    data: {
      settings: {
        data: [
          ["", "Ford", "Volvo", "Toyota", "Honda"],
          ["2016", 10, 11, 12, 13],
          ["2017", 20, 11, 14, 13],
          ["2018", 30, 15, 12, 13]
        ],
        colHeaders: true,
        rowHeaders: true,
      }
    },
    components: {
      HotTable
    }
  }
</script>

<style src="../node_modules/handsontable-pro/dist/handsontable.full.css"></style>
<style>
  #hot-preview {
    width: 600px;
    height: 400px;
    overflow: hidden;
  }
</style>
        
        

License

Handsontable for Vue is an open source library released free under the MIT license.

The MIT license

Help us improve this page

React Data GridInstallation

Install Handsontable through your preferred package manager, and control your grid through the HotTable component's props.

Install Handsontable

To install Handsontable locally using a package manager, run one of these commands:

npm install handsontable @handsontable/react-wrapper
yarn add handsontable @handsontable/react-wrapper
pnpm add handsontable @handsontable/react-wrapper

Import Handsontable's CSS

Import Handsontable's CSS into your application.

import 'handsontable/styles/handsontable.min.css';
import 'handsontable/styles/ht-theme-main.min.css';

Register Handsontable's modules

Import and register all of Handsontable's modules with a single function call:

import Handsontable from 'handsontable/base';
import { registerAllModules } from 'handsontable/registry';

registerAllModules();

Or, to reduce the size of your JavaScript bundle, import only the modules that you need.

Use the HotTable component

The main Handsontable component is called HotTable.

import { HotTable } from '@handsontable/react-wrapper';

To set Handsontable's configuration options, use HotTable's props. For example:

<HotTable
  themeName="ht-theme-main-dark-auto"
  // other options
  data={[
    ['', 'Tesla', 'Volvo', 'Toyota', 'Ford'],
    ['2019', 10, 11, 12, 13],
    ['2020', 20, 11, 14, 13],
    ['2021', 30, 15, 12, 13]
  ]}
  rowHeaders={true}
  colHeaders={true}
  height="auto"
  autoWrapRow={true}
  autoWrapCol={true}
  licenseKey="non-commercial-and-evaluation" // for non-commercial use only
/>

TIP

@handsontable/react-wrapper requires at least React@18 and is built with functional editors and renderers components in mind. If you use a lower version of React or prefer to use class-based components, you can use the @handsontable/react package instead.

For more information on @handsontable/react, see the 14.6 documentation (opens new window).

Preview the result

import { HotTable } from '@handsontable/react-wrapper';
import { registerAllModules } from 'handsontable/registry';
import 'handsontable/styles/handsontable.css';
import 'handsontable/styles/ht-theme-main.css';

// register Handsontable's modules
registerAllModules();

const ExampleComponent = () => {
  return (
    <HotTable
      themeName="ht-theme-main"
      data={[
        ['', 'Tesla', 'Volvo', 'Toyota', 'Ford'],
        ['2019', 10, 11, 12, 13],
        ['2020', 20, 11, 14, 13],
        ['2021', 30, 15, 12, 13],
      ]}
      rowHeaders={true}
      colHeaders={true}
      height="auto"
      autoWrapRow={true}
      autoWrapCol={true}
      licenseKey="non-commercial-and-evaluation" // for non-commercial use only
    />
  );
};

export default ExampleComponent;

Tutorial: Installation

Installation

Handsontable for Angular is the official wrapper for Handsontable, a JavaScript data grid component with a spreadsheet look & feel. It easily integrates with any data source and comes with lots of useful features like data binding, validation, sorting or powerful context menu.

Installation

This component needs the Handsontable library to work. We suggest using npm to install the package.

npm install handsontable-pro @handsontable-pro/angular

for Handsontable Community Edition

npm install handsontable @handsontable/angular

Basic usage

Import the Handsontable styles to your project

          @import '~handsontable-pro/dist/handsontable.full.css';
        
for Handsontable Community Edition
          @import '~handsontable/dist/handsontable.full.css';
        

Import the Handsontable component in your module

        import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { HotTableModule } from '@handsontable-pro/angular';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    HotTableModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
        
        

Now, you can use the Handsontable component in your HTML files

        <hot-table
  [colHeaders]="true"
  [rowHeaders]="true"
  [data]="dataset"></hot-table>
        
        

License

Handsontable for Angular is an open source library released free under the MIT license.

The MIT license

Help us improve this page